import { ColumnInstance } from 'react-table';
import { FormControlLabel } from '@material-ui/core';
import React from 'react';
import AppCheckBox from 'components/Checkbox/AppCheckBox';

type Props = {
  column: ColumnInstance<any>;
  title?: string;
  value?: string | boolean | number;
};

function CheckBoxColumnFilter(props: Props) {
  const { value = 1 } = props;
  const { filterValue, setFilter, Header, id } = props.column;
  const handleChange = (event: React.ChangeEvent<HTMLInputElement>) => {
    setFilter(event.currentTarget.checked ? value : undefined);
  };
  return (
    <FormControlLabel
      control={
        <AppCheckBox
          checked={filterValue !== undefined}
          onChange={handleChange}
        />
      }
      label={props.title || Header || id}
    />
  );
}

export default CheckBoxColumnFilter;
