import React, {FunctionComponent} from 'react';
import {SvgIcon, SvgIconProps} from '@material-ui/core';
import {ReactComponent as ReactLogo} from 'assets/imgs/down.svg';
import {ReactComponent as Action} from 'assets/imgs/actions.svg';
import {ReactComponent as Columns} from 'assets/imgs/columns.svg';
import {ReactComponent as Tick} from 'assets/imgs/check.svg';


export const AppCheckIcon: FunctionComponent<SvgIconProps> = (props) => {
  return <SvgIcon viewBox="0 0 11 9" {...props} component={Tick} />;
};

export const AppColumnsIcon: FunctionComponent<SvgIconProps> = (props) => {
  return <SvgIcon viewBox="0 0 14 12" {...props} component={Columns} />;
};

export const AppActionIcon: FunctionComponent<SvgIconProps> = (props) => {
  return <SvgIcon viewBox="0 0 19 13" {...props} component={Action} />;
};

export const AppDownIcon: FunctionComponent<SvgIconProps> = (props) => {
  return <SvgIcon viewBox="0 0 10 6" {...props} component={ReactLogo} />;
};

