import { CellProps, Hooks } from 'react-table';
import AppCheckBox from 'components/Checkbox/AppCheckBox';
import React from 'react';
import { SELECTION_COLUMN_ID } from 'constants/constants';

export default (hooks: Hooks<any>) => {
  hooks.allColumns.push((columns) => [
    {
      id: SELECTION_COLUMN_ID,
      disableResizing: true,
      disableGroupBy: true,
      minWidth: 48,
      width: 48,
      maxWidth: 48,
      sticky: 'left',
      isStable: true,

      Header: ({ getToggleAllRowsSelectedProps }) => (
        <AppCheckBox
          className="p-14"
          tabIndex={-1}
          {...getToggleAllRowsSelectedProps()}
        />
      ),
      Cell: ({ row }: CellProps<any>) => (
        <AppCheckBox
          className="p-14"
          tabIndex={-1}
          checked={row.isSelected}
          onChange={(event) => {
            row.toggleRowSelected(event.target.checked);
          }}
        />
      ),
      disableSortBy: true,
    },
    ...columns,
  ]);
};
