import { createReducer } from 'typesafe-actions';
import * as table from 'store/actions';
import { combineReducers } from 'redux';

const reactTableReducer = combineReducers({
  selectedRows: createReducer([] as Array<any>).handleAction(
    table.selectMultiRows,
    (state, action) => action.payload
  ),
  singleSelectedRow: createReducer({} as any).handleAction(
    table.selectSingleRow,
    (state, action) => action.payload
  ),
  isSelectable: createReducer(false).handleAction(
    table.setTableSelectable,
    (state, action) => action.payload
  ),
});

export default reactTableReducer;
